]> arthur.barton.de Git - pt.git/commitdiff
New command "go" (alias "up"): update and upgrade in one run.
authorAlexander Barton <alex@barton.de>
Mon, 27 Oct 2008 11:54:02 +0000 (12:54 +0100)
committerAlexander Barton <alex@barton.de>
Mon, 27 Oct 2008 11:54:02 +0000 (12:54 +0100)
bin/pt

diff --git a/bin/pt b/bin/pt
index 446a156ce92f596513bcac2da870001b04c49164..4d666b013f8906d00683af5e087370bbf963d230 100755 (executable)
--- a/bin/pt
+++ b/bin/pt
@@ -916,7 +916,7 @@ case "$1" in
                Upgrade
                Clean_Exit $?
                ;;
-       "freshup"|"fresh"|"up")
+       "freshup"|"fresh")
                shift
                Check_Root_Perm
                [ $# -ne 0 ] && Usage
@@ -924,6 +924,14 @@ case "$1" in
                List_Outdated
                Clean_Exit $?
                ;;
+       "go"|"up")
+               shift
+               Check_Root_Perm
+               [ $# -ne 0 ] && Usage
+               Update
+               Upgrade
+               Clean_Exit $?
+               ;;
        "remove"|"uninstall")
                shift
                Check_Root_Perm